/* Base Styles */
.timeline {
    position: relative;
    padding: 20px 0;
    max-width: 1200px;
    margin: 0 auto;
}

.timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    background-color: #6D9DC5;
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: -3px;
}

.timeline-item {
    padding: 10px 40px;
    position: relative;
    width: 50%;
}

.timeline-item.right {
    left: 50%;
}

.timeline-item::after {
    content: '';
    position: absolute;
    width: 25px;
    height: 25px;
    background-color: white;
    border: 4px solid #3066BE;
    top: 15px;
    border-radius: 50%;
    z-index: 1;
}

.timeline-item.left::after {
    right: -17px;
}

.timeline-item.right::after {
    left: -17px;
}

.timeline-content {
    padding: 20px 30px;
    background-color: white;
    position: relative;
    border-radius: 6px;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s, box-shadow 0.3s;
}

.timeline-content:hover {
    transform: translateY(-10px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

.timeline-content a {
    text-decoration: none;
    color: inherit;
    display: block;
}

.date {
    font-size: 0.85em;
    color: #6D9DC5;
    font-weight: bolder;
}

h2,
h3 {
    color: #3066BE;
}

.badge {
    background-color: transparent !important;
    color: #000000 !important;
    border: 2px solid #6D9DC5;
}

a {
    text-decoration: none;
}

/* Mobile Styles */
@media screen and (max-width: 768px) {
    .timeline::after {
        left: 10px;
    }

    .timeline-item {
        width: 100%;
        padding-left: 30px;
        padding-right: 25px;
        text-align: left;
    }

    .timeline-item.right {
        left: 0%;
    }

    .timeline-item.left::after,
    .timeline-item.right::after {
        left: 0px;
    }

    .timeline-content {
        padding: 20px 20px;
    }
}